html,
body {
  font-family: Arial;
  background: rgb(255, 255, 255);
  margin: 0;
  padding: 0;
  overflow: hidden;
  width: 100%;
  height: 100%;
}
body {
  display: flex;
  flex-direction: column;
}
header {
  height: 0.3rem;
  width: 100vw;
  position: relative;
  /* top: 0;
  left: 0; */
  background-color: rgba(0, 148, 67, 1);
  display: flex;
  justify-content: start;
  align-items: center;
  /* font-size: 0.25rem; */
  color: white;
  line-height: 1rem;
  flex: none;
}
.logo {
  font-size: 0.2rem;
  width: 1.2rem;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex: auto;
}
.selected_cabinet {
    display: none;
  flex: auto;
  height: 100%;
  font-size: 0.12rem;
  line-height: normal;
  /* display: flex; */
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: relative;
}
#cabinet_name {
    flex: auto;
    text-align: right;
    margin-right: 0.1rem;
}
.select_arrow {
    flex: none;
    height: 100%;
    width: 0.2rem;
    /* position: absolute;
    right: 0;
    top: 0; */
    background-color: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
}
.cabiet_list {
    visibility:collapse;
    color: black;
    font-size: 0.12rem;
    position: fixed;
    top: 0.3rem;
    left: 10%;
    background-color: white;
    max-height: calc(100vh - 0.5rem);
    overflow-y: auto;
    box-sizing: border-box;
    padding: 15px;
    width: 80%;

    line-height: normal;
    z-index: 1;

}
.border-shadow {   
    -webkit-box-shadow: #666 0px 0px 10px;   
    -moz-box-shadow: #666 0px 0px 10px;   
    box-shadow: #666 0px 0px 10px;   
}
.cabinet_item {
    padding: 8px 3px;
    border-bottom: 1px solid gray;
}
.cabinet_item_selected {
    background-color: rgba(0, 148, 67, 1);
    color: white;
}
.cabinet_item:first-child{
    border-top: 1px solid gray;
}
.operation_btn {
    display: none;
  flex: none;
  width: 0.3rem;
  height: 100%;
  /* display: flex; */
  justify-content: center;
  align-items: center;
  background-color: transparent;

}
.operation_btn .btn {
  width: 80%;
  height: 80%;
  background-image: url(../images/menu.svg);
  background-size: 100% 100%;
}
/* .operation_btn:hover {
  background-color: rgba(8, 100, 37, 0.556);
} */
header .menus {
    z-index: 2;
    visibility: collapse;
  width: 0.8rem;
  border: 1px solid gainsboro;
  position: fixed;
  right: 0;
  top: 0.3rem;
  display: flex;
  flex-direction: column;
  background-color: rgba(0, 0, 0, 0.2);
  padding-bottom: 0.08rem;
}
header .menus button {
    border: 0;
  background-color: rgba(0, 148, 67, 1);
  border-radius: 0.08rem;
  color: rgb(255, 255, 255);
  font-size: 0.13rem;
  height: 0.25rem;
  margin-top: 0.05rem;
  margin-left: 0.05rem;
  margin-right: 0.05rem;
}
.menus button:hover{
    background-color: rgba(8, 100, 37, 0.556);
}
.body {
  width: 100vw;
  height: calc(100vh - 0.5rem);
  background-color: white;
  flex:auto;
}
.loading {
    background-size: contain;
    width: 0.5rem;
    height: 0.5rem;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-image: url(../images/loading.gif);
}
.error-info {
    visibility: collapse;
    width: 100%;
    height: 1rem;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    align-items: center;
}
.error-image {
    height: 0.5rem;
    width: 0.5rem;
    background-size: contain;
    background-image: url(./error.svg);
}
.error-text {
    height: 0.5rem;
    width: 100%;
    font-size: 0.15rem;
    text-align: center;
}
.plate_show_btns {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100px;
  bottom: 0.2rem;
  position: fixed;
  left: 1%;
}
.plate_show_btns button {
  height: 35px;
}
.plate_list_container {
  visibility: collapse;
  position: fixed;
  bottom: 0.15rem;
  left: 23%;
  width: 75%;
  height: auto;
}
.plates_list {
  width: 100%;
  max-height: calc(100vh - 0.5rem - 0.3rem);
  overflow-y: auto;
  background-color: white;
}
.plates_list .plate-item {
  width: 100%;
  padding: 3px 3px;
  border-bottom: 1px solid gray;
  font-size: 0.12rem;
}
.plates_list .plate-item span {
  margin-left: 3px;
}
.close-btn {
  position: absolute;
  right: 0;
  top: -0.3rem;
  width: 0.3rem;
  height: 0.3rem;
  background-image: url(./error.svg);
  background-size: 100%;
}

.main_right_toolbar{
    position:absolute;
    right: 12px;
    bottom: 22px;
    z-index: 9998;
    display: flex;
    flex-direction: column-reverse;
}
.main_toolbar_scanqrcode{
    width:40px;
    height:40px;
}

.qrcode_video{
    position: absolute;
    z-index: 9999;
    width: calc(100vw - 30px);
    height: calc(100vh - 300px);
    left:14px;
    top:120px;
    visibility:hidden;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-evenly;
}
.qrcode_video #qrcode_video{
    width: 100%;
    height: calc(100% - 46px);
    border: 1px solid gray;
}
.qrcode_video .qrcode_video_btns{
    height: 26px;
    display: flex;
    flex-direction: row;
}
.qrcode_video .qrcode_video_exit{
    margin-left: 6px;
}
.qrcode_video .qrcode_video_flip{
    margin-left: 20px;
}

.search {
  position: fixed;
  top: 0.45rem;
  height: 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}
.pwdinput {
  position: fixed;
  top: 60%;
  height: 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}
.search  button {
  border: 0;
  width: 0.6rem;
  background-color: rgba(0, 148, 67, 1);
  border-radius: 0.08rem;
  color: rgb(255, 255, 255);
  font-size: 0.15rem;
  margin-left: 5px;
  padding: 4px 0;
}
.pwdinput button {
  border: 0;
  width: 0.6rem;
  background-color: rgba(173, 18, 30, 1);
  border-radius: 0.08rem;
  color: rgb(255, 255, 255);
  font-size: 0.15rem;
  margin-left: 5px;
  padding: 4px 0;
}
.search input {
  height: 0.22rem;
}

.pwdinput input {
  height: 0.22rem;
}

.footinfo {
    font-size: 0.1rem;
    position: absolute;
    bottom: 3px;
    text-align: center;
    width: 100%;
    color: #767676;
}
